Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.support.wsdl
Class WsdlImporter

    java.lang.Object
      com.eviware.soapui.impl.wsdl.support.wsdl.WsdlImporter

    public class WsdlImporter

extends java.lang.Object

Importer for WsdlInterfaces from WSDL urls / files

Author:
  Ole.Matzura

Method Summary
`static WsdlImporter` | `getInstance()`
`static java.lang.String` | `getInterfaceNameForBinding(javax.wsdl.Binding binding)`
`WsdlInterface[]` | `importWsdl(WsdlProject project, java.lang.String wsdlUrl)`
`WsdlInterface[]` | `importWsdl(WsdlProject project, java.lang.String wsdlUrl, javax.xml.namespace.QName bindingName)`
`WsdlInterface[]` | `importWsdl(WsdlProject project, java.lang.String wsdlUrl, javax.xml.namespace.QName bindingName, WsdlLoader wsdlLoader)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static WsdlImporter getInstance()

### importWsdl

    public WsdlInterface[] importWsdl(WsdlProject project,
                                      java.lang.String wsdlUrl)
                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### importWsdl

    public WsdlInterface[] importWsdl(WsdlProject project,
                                      java.lang.String wsdlUrl,
                                      javax.xml.namespace.QName bindingName)
                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### importWsdl

    public WsdlInterface[] importWsdl(WsdlProject project,
                                      java.lang.String wsdlUrl,
                                      javax.xml.namespace.QName bindingName,
                                      WsdlLoader wsdlLoader)
                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getInterfaceNameForBinding

    public static final java.lang.String getInterfaceNameForBinding(javax.wsdl.Binding binding)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.